libcdr::CDRInsertTextOutputElement Class Reference
Inheritance diagram for libcdr::CDRInsertTextOutputElement:

## Public Member Functions

| CDRInsertTextOutputElement (const librevenge::RVNGString &text)
| ~CDRInsertTextOutputElement () override
void | draw (librevenge::RVNGDrawingInterface *painter) override
Public Member Functions inherited from libcdr::CDROutputElement
| CDROutputElement ()
virtual | ~CDROutputElement ()

## Private Attributes

librevenge::RVNGString | m_text

## Constructor & Destructor Documentation

## CDRInsertTextOutputElement()

libcdr::CDRInsertTextOutputElement::CDRInsertTextOutputElement | ( | const librevenge::RVNGString & | text | ) |

## ~CDRInsertTextOutputElement()

libcdr::CDRInsertTextOutputElement::~CDRInsertTextOutputElement | ( |  | ) |

inline override

## Member Function Documentation

## draw()

void libcdr::CDRInsertTextOutputElement::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |

override virtual

Implements libcdr::CDROutputElement.

## Member Data Documentation

## m_text

librevenge::RVNGString libcdr::CDRInsertTextOutputElement::m_text

private

Referenced by CDRInsertTextOutputElement(), and draw().

The documentation for this class was generated from the following file:

- CDROutputElementList.cpp